import initComponent from "./src/init/component";
import initIcons from "./src/init/icon";
const svgSymbols = initIcons();
console.log(svgSymbols);
const install = (Vue) => {
  initComponent.call(Vue);
  window.addEventListener('DOMContentLoaded', () => {
    const svg = document.createElementNS('http://www.w3.org/2000/svg','svg');
    svg.setAttribute("viewBox","0 0 100 100");
    svg.innerHTML = svgSymbols.map(s => {
      return s.default.content
    });
    svg.style.position = "absolute";
    svg.style.width = "0";
    svg.style.height = "0";
    document.body.appendChild(svg);
  });
};

// 这一步判断window.Vue是否存在，因为直接引用vue.min.js， 它会把Vue绑到Window上，我们直接引用打包好的js才能正常跑起来。
if (typeof window !== "undefined" && window.Vue) {
  install(window.Vue);
}

export default install;